Subject: Re: BUG: Automake 1.4
From: [email-masked]
To: Cygwin Users <[email-masked]>
Cc: [email-masked]
Date: Tue, 05 Jun 2001 00:39:45 +0430 (GMT+04:30)

I don't know automake well enough. But I've done some research. And I think I've found the place. And I've included the diff in this e-mail. And after installing the patched version it actually works.

 Who will put this in the correct place. So there will be a new release of automake?????????

 Jens Yllman

--- automake-1.4/automake.in	Fri Jan 15 07:42:36 1999
+++ automake-1.4_new/automake.in	Mon Jun  4 22:09:11 2001
@@ -2367,7 +2367,7 @@
 	$output_rules .= "\t  d=\$(srcdir); \\\n";
     }
     $output_rules .= ("\t  if test -d \$\$d/\$\$file; then \\\n"
-		      . "\t    cp -pr \$\$/\$\$file \$(distdir)/\$\$file; \\\n"
+		      . "\t    cp -pr \$\$d/\$\$file \$(distdir)/\$\$file; \\\n"
 		      . "\t  else \\\n"
 		      . "\t    test -f \$(distdir)/\$\$file \\\n"
 		      . "\t    || ln \$\$d/\$\$file \$(distdir)/\$\$file 2> /dev/null \\\n"

>Can't you figure out the patch for this?  It's real obvious.  Then you
>could post the patches to [email-masked].
>
>Earnie.
>
>[email-masked] wrote:
>> 
>>  Hi,
>> 
>>  Don't know if this is the right place to send this. But I have automake 1.4 on cygwin and on my linux machine. And the version on cygwin produces a slightly diffrent Makefile.in then the linux version. And the important part is a bug.
>> 
>>  Here is three rows from the linux version. It is in distdir:
>> 
>>           if test -d $$d/$$file; then \
>>             cp -pr $$d/$$file $(distdir)/$$file; \
>>           else \
>> 
>>  In the cygwin version it looks like this.
>> 
>>           if test -d $$d/$$file; then \
>>             cp -pr $$/$$file $(distdir)/$$file; \
>>           else \
>> 
>>  And that makes directories in EXTRA_DIST etc to not work. The make i canceled with an error.
>> 
>>  Anybody recocnizing this???
>> 
>>  Jens Yllman
>> 
>> --
>> Want to unsubscribe from this list?
>> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>_________________________________________________________
>Do You Yahoo!?
>Get your free @yahoo.com address at http://mail.yahoo.com
>
>
--- automake-1.4/automake.in	Fri Jan 15 07:42:36 1999
+++ automake-1.4_new/automake.in	Mon Jun  4 22:09:11 2001
@@ -2367,7 +2367,7 @@
 	$output_rules .= "\t  d=\$(srcdir); \\\n";
     }
     $output_rules .= ("\t  if test -d \$\$d/\$\$file; then \\\n"
-		      . "\t    cp -pr \$\$/\$\$file \$(distdir)/\$\$file; \\\n"
+		      . "\t    cp -pr \$\$d/\$\$file \$(distdir)/\$\$file; \\\n"
 		      . "\t  else \\\n"
 		      . "\t    test -f \$(distdir)/\$\$file \\\n"
 		      . "\t    || ln \$\$d/\$\$file \$(distdir)/\$\$file 2> /dev/null \\\n"

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple